> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get active coupons

> Get active coupons by location for the specified POS system.



## OpenAPI

````yaml /openapi.yaml get /pos/{posSystemId}/coupon/active/locationId/{posLocationId}
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /pos/{posSystemId}/coupon/active/locationId/{posLocationId}:
    get:
      tags:
        - Coupons
      summary: Get active coupons
      description: Get active coupons by location for the specified POS system.
      operationId: PosCoupon_GetActiveCouponsByLocation
      parameters:
        - name: posSystemId
          in: path
          description: Pos system name
          required: true
          schema:
            type: string
        - name: posLocationId
          in: path
          description: Pos location identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CouponInfoGetDtoPosApiListResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CouponInfoGetDtoPosApiListResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CouponInfoGetDtoPosApiListResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/CouponInfoGetDtoPosApiListResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/CouponInfoGetDtoPosApiListResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    CouponInfoGetDtoPosApiListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CouponInfoGetDto'
          nullable: true
        page:
          $ref: '#/components/schemas/PageModel'
        posStatus:
          $ref: '#/components/schemas/PosResponseStatus'
      additionalProperties: false
    CouponInfoGetDto:
      type: object
      properties:
        id:
          type: string
          description: Coupon unique identifier
          nullable: true
        code:
          type: string
          description: Coupon unique identifier
          nullable: true
        url:
          type: string
          description: Coupon url
          nullable: true
        couponImage:
          type: string
          description: Coupon image
          nullable: true
        status:
          type: string
          description: Coupon status
          nullable: true
          example: example | active | archived | template | deleted
        name:
          type: string
          description: Coupon name
          nullable: true
        title:
          type: string
          description: Coupon title
          nullable: true
        subtitle:
          type: string
          description: Coupon subtitle
          nullable: true
        description:
          type: string
          description: Coupon description
          nullable: true
        couponCategoryId:
          type: string
          description: Unique identifier of coupon category
          nullable: true
        couponCategoryName:
          type: string
          description: Coupon category name
          nullable: true
        banner1:
          type: string
          description: Banner
          nullable: true
        banner2:
          type: string
          description: Banner
          nullable: true
        banner3:
          type: string
          description: Banner
          nullable: true
        banner4:
          type: string
          description: Banner
          nullable: true
        banner5:
          type: string
          description: Banner
          nullable: true
        subaccount:
          type: string
          description: Sub-account
          nullable: true
        logoUrl:
          type: string
          description: Coupon Logo url
          nullable: true
        couponTags:
          type: string
          description: Coupon tags
          nullable: true
        expiryDate:
          type: string
          description: Coupon Expiry Date
          nullable: true
        promotion:
          $ref: '#/components/schemas/CouponPromotionDto'
        isSelected:
          type: boolean
          description: IsSelected
          nullable: true
      additionalProperties: false
      description: Represent general coupon information
    PageModel:
      type: object
      properties:
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        total:
          type: integer
          format: int32
      additionalProperties: false
    PosResponseStatus:
      enum:
        - Accepted
        - Disabled
        - NotAvailable
      type: string
    CouponPromotionDto:
      type: object
      properties:
        value:
          type: number
          description: Discount value
          format: double
        promotionType:
          $ref: '#/components/schemas/CouponPromotionTypeDto'
      additionalProperties: false
      description: Coupon promotion
    CouponPromotionTypeDto:
      enum:
        - 1
        - 2
      type: integer
      description: Coupon promotion type
      format: int32
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````